org.optaplanner.core.impl.score.stream.drools.quad

## Class DroolsQuadCondition<A,B,C,D>

- java.lang.Object
- - org.optaplanner.core.impl.score.stream.drools.common.DroolsCondition<DroolsQuadRuleStructure<A,B,C,D>>
  - - org.optaplanner.core.impl.score.stream.drools.quad.DroolsQuadCondition<A,B,C,D>

-     public final class DroolsQuadCondition<A,B,C,D>
      extends DroolsCondition<DroolsQuadRuleStructure<A,B,C,D>>

- - ### Field Summary

    - ### Fields inherited from class org.optaplanner.core.impl.score.stream.drools.common.DroolsCondition

      `ruleStructure`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DroolsQuadCondition(DroolsQuadRuleStructure<A,B,C,D> ruleStructure)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `<NewA,__> DroolsUniCondition<NewA>` | `andCollect(QuadConstraintCollector<A,B,C,D,__,NewA> collector)`
    `DroolsQuadCondition<A,B,C,D>` | `andFilter(QuadPredicate<A,B,C,D> predicate)`
    `<NewA> DroolsUniCondition<NewA>` | `andGroup(QuadFunction<A,B,C,D,NewA> groupKeyMapping)`
    `<NewA,NewB> DroolsBiCondition<NewA,NewB>` | `andGroupBi(QuadFunction<A,B,C,D,NewA> groupKeyAMapping, QuadFunction<A,B,C,D,NewB> groupKeyBMapping)`
    `<NewA,NewB,NewC,__> DroolsTriCondition<NewA,NewB,NewC>` | `andGroupBiWithCollect(QuadFunction<A,B,C,D,NewA> groupKeyAMapping, QuadFunction<A,B,C,D,NewB> groupKeyBMapping, QuadConstraintCollector<A,B,C,D,__,NewC> collector)`
    `<NewA,NewB,NewC,NewD> DroolsQuadCondition<NewA,NewB,NewC,NewD>` | `andGroupBiWithCollectBi(QuadFunction<A,B,C,D,NewA> groupKeyAMapping, QuadFunction<A,B,C,D,NewB> groupKeyBMapping, QuadConstraintCollector<A,B,C,D,?,NewC> collectorC, QuadConstraintCollector<A,B,C,D,?,NewD> collectorD)`
    `<NewA,NewB,__> DroolsBiCondition<NewA,NewB>` | `andGroupWithCollect(QuadFunction<A,B,C,D,NewA> groupKeyMapping, QuadConstraintCollector<A,B,C,D,__,NewB> collector)`
    `List<org.drools.model.RuleItemBuilder<?>>` | `completeWithScoring(org.drools.model.Global<? extends AbstractScoreHolder<?>> scoreHolderGlobal)`
    `List<org.drools.model.RuleItemBuilder<?>>` | `completeWithScoring(org.drools.model.Global<? extends AbstractScoreHolder<?>> scoreHolderGlobal, QuadFunction<A,B,C,D,BigDecimal> matchWeighter)`
    `List<org.drools.model.RuleItemBuilder<?>>` | `completeWithScoring(org.drools.model.Global<? extends AbstractScoreHolder<?>> scoreHolderGlobal, ToIntQuadFunction<A,B,C,D> matchWeighter)`
    `List<org.drools.model.RuleItemBuilder<?>>` | `completeWithScoring(org.drools.model.Global<? extends AbstractScoreHolder<?>> scoreHolderGlobal, ToLongQuadFunction<A,B,C,D> matchWeighter)`

    - ### Methods inherited from class org.optaplanner.core.impl.score.stream.drools.common.DroolsCondition

      `collect, getInnerAccumulatePattern, getRuleStructure, group, groupBi, groupBiWithCollect, groupBiWithCollectBi, groupWithCollect, impactScore, impactScore, impactScore, impactScore`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DroolsQuadCondition

          public DroolsQuadCondition(DroolsQuadRuleStructure<A,B,C,D> ruleStructure)

  - ### Method Detail

    - #### andFilter

          public DroolsQuadCondition<A,B,C,D> andFilter(QuadPredicate<A,B,C,D> predicate)

    - #### andCollect

          public <NewA,__> DroolsUniCondition<NewA> andCollect(QuadConstraintCollector<A,B,C,D,__,NewA> collector)

    - #### andGroup

          public <NewA> DroolsUniCondition<NewA> andGroup(QuadFunction<A,B,C,D,NewA> groupKeyMapping)

    - #### andGroupWithCollect

          public <NewA,NewB,__> DroolsBiCondition<NewA,NewB> andGroupWithCollect(QuadFunction<A,B,C,D,NewA> groupKeyMapping,
                                                                                 QuadConstraintCollector<A,B,C,D,__,NewB> collector)

    - #### andGroupBi

          public <NewA,NewB> DroolsBiCondition<NewA,NewB> andGroupBi(QuadFunction<A,B,C,D,NewA> groupKeyAMapping,
                                                                     QuadFunction<A,B,C,D,NewB> groupKeyBMapping)

    - #### andGroupBiWithCollect

          public <NewA,NewB,NewC,__> DroolsTriCondition<NewA,NewB,NewC> andGroupBiWithCollect(QuadFunction<A,B,C,D,NewA> groupKeyAMapping,
                                                                                              QuadFunction<A,B,C,D,NewB> groupKeyBMapping,
                                                                                              QuadConstraintCollector<A,B,C,D,__,NewC> collector)

    - #### andGroupBiWithCollectBi

          public <NewA,NewB,NewC,NewD> DroolsQuadCondition<NewA,NewB,NewC,NewD> andGroupBiWithCollectBi(QuadFunction<A,B,C,D,NewA> groupKeyAMapping,
                                                                                                        QuadFunction<A,B,C,D,NewB> groupKeyBMapping,
                                                                                                        QuadConstraintCollector<A,B,C,D,?,NewC> collectorC,
                                                                                                        QuadConstraintCollector<A,B,C,D,?,NewD> collectorD)

    - #### completeWithScoring

          public List<org.drools.model.RuleItemBuilder<?>> completeWithScoring(org.drools.model.Global<? extends AbstractScoreHolder<?>> scoreHolderGlobal)

    - #### completeWithScoring

          public List<org.drools.model.RuleItemBuilder<?>> completeWithScoring(org.drools.model.Global<? extends AbstractScoreHolder<?>> scoreHolderGlobal,
                                                                               ToIntQuadFunction<A,B,C,D> matchWeighter)

    - #### completeWithScoring

          public List<org.drools.model.RuleItemBuilder<?>> completeWithScoring(org.drools.model.Global<? extends AbstractScoreHolder<?>> scoreHolderGlobal,
                                                                               ToLongQuadFunction<A,B,C,D> matchWeighter)

    - #### completeWithScoring

          public List<org.drools.model.RuleItemBuilder<?>> completeWithScoring(org.drools.model.Global<? extends AbstractScoreHolder<?>> scoreHolderGlobal,
                                                                               QuadFunction<A,B,C,D,BigDecimal> matchWeighter)

Copyright © 2006–2020 JBoss by Red Hat. All rights reserved.